summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorNikos Mavrogiannopoulos <nmav@redhat.com>2013-12-18 17:57:08 +0100
committerNikos Mavrogiannopoulos <nmav@redhat.com>2013-12-18 17:57:24 +0100
commita83a75903e95d1fdf2d2ca24a33f657e835cf534 (patch)
tree5897283ac28ed864ea34e81c39151c24b45b6497 /tests
parentc0f1024c179e7c3ad2061e445f6ce95a0654f3fc (diff)
downloadgnutls-a83a75903e95d1fdf2d2ca24a33f657e835cf534.tar.gz
updated danetool
Diffstat (limited to 'tests')
-rwxr-xr-xtests/suite/testdane31
1 files changed, 16 insertions, 15 deletions
diff --git a/tests/suite/testdane b/tests/suite/testdane
index 7ca9bc5654..909d6d8ade 100755
--- a/tests/suite/testdane
+++ b/tests/suite/testdane
@@ -29,10 +29,13 @@ fi
. $srcdir/../scripts/common.sh
-echo "*** Testing bad hosts"
-# Not ok
-HOSTS="bad-hash.dane.verisignlabs.com dane-broken.rd.nic.fr bad-params.dane.verisignlabs.com"
-HOSTS="$HOSTS bad-sig.dane.verisignlabs.com"
+# Fine hosts
+
+echo ""
+echo "*** Testing good hosts ***"
+HOSTS="good.dane.verisignlabs.com www.kumari.net torproject.org"
+HOSTS="$HOSTS nohats.ca"
+# used to work: dane.nox.su torproject.org jhcloos.com
for i in $HOSTS;do
echo -n "$i: "
rm -f tmp
@@ -43,21 +46,19 @@ if [ $? != 0 ];then
fi
$DANETOOL --load-certificate tmp --check $i >/dev/null 2>&1
-if [ $? = 0 ];then
- echo "Checking $i should have failed"
+if [ $? != 0 ];then
+ echo "Error checking $i"
exit 1
fi
echo "ok"
done
-# Fine hosts
-echo ""
-echo "*** Testing good hosts"
-HOSTS="torproject.org jhcloos.com good.dane.verisignlabs.com \
-www.kumari.net"
-HOSTS="$HOSTS nohats.ca"
-# dane.nox.su
+echo "*** Testing bad hosts ***"
+# Not ok
+# used to work: dane-broken.rd.nic.fr
+HOSTS="bad-hash.dane.verisignlabs.com bad-params.dane.verisignlabs.com"
+HOSTS="$HOSTS bad-sig.dane.verisignlabs.com"
for i in $HOSTS;do
echo -n "$i: "
rm -f tmp
@@ -68,8 +69,8 @@ if [ $? != 0 ];then
fi
$DANETOOL --load-certificate tmp --check $i >/dev/null 2>&1
-if [ $? != 0 ];then
- echo "Error checking $i"
+if [ $? = 0 ];then
+ echo "Checking $i should have failed"
exit 1
fi
echo "ok"